@import '../../styles/mixins'
@import '../../styles/variables'

.header
    display none
    +above(5)
        display block
    width 100%
    background-color $cl--bg

    &__inner
        display flex
        flex-direction row
        justify-content center
        width 88%
        max-width $container
        margin 0 auto
        padding $sp--third 0

    &__left
    &__right
        display flex
        flex-direction row
        align-items center

    &__left
        flex 0 1 40%
        justify-content start
        margin-right $sp

    &__right
        justify-content end
        flex 1 0 auto

    &__logo
        width $sp * 10
        margin-right $sp--double

.nav
    width 100%

    &__inner
        display flex
        flex-direction row
        justify-content space-between
        align-items center

    &__item
        +above(5)
            ml()
        flex 0 0 auto

    &__link
        content-anchor(white, $cl--off)
        font-size $fz--base * $ratio
        text-transform uppercase

        &--active
            box-shadow inset 0 -2px 0 modify-hsla($color: hsla($cl--off), $a: -.6)
            color $cl--off

    &__languages
        display flex
        flex-direction column

    &__language > &__link
        font-size ($fz--base / $ratio)
